- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# gettimeofday_args Struct Reference

`#include <sysproto.h>`

Collaboration diagram for gettimeofday_args:

[legend]

## Data Fields
timeval * | tp
char | tp_l_ [0]
char | tp_r_ [(sizeof(register_t)<=sizeof(struct timeval *)?0:sizeof(register_t)-sizeof(struct timeval *))]
timezone * | tzp
char | tzp_l_ [0]
char | tzp_r_ [(sizeof(register_t)<=sizeof(struct timezone *)?0:sizeof(register_t)-sizeof(struct timezone *))]

## Detailed Description

Definition at line 146 of file sysproto.h.

## Field Documentation

struct timeval* gettimeofday_args::tp

Definition at line 147 of file sysproto.h.

char gettimeofday_args::tp_l_[0]

Definition at line 147 of file sysproto.h.

char gettimeofday_args::tp_r_[(sizeof(register_t)<=sizeof(struct timeval *)?0:sizeof(register_t)-sizeof(struct timeval *))]

Definition at line 147 of file sysproto.h.

struct timezone* gettimeofday_args::tzp

Definition at line 148 of file sysproto.h.

char gettimeofday_args::tzp_l_[0]

Definition at line 148 of file sysproto.h.

char gettimeofday_args::tzp_r_[(sizeof(register_t)<=sizeof(struct timezone *)?0:sizeof(register_t)-sizeof(struct timezone *))]

Definition at line 148 of file sysproto.h.

The documentation for this struct was generated from the following file:

- src/sys/include/sys/sysproto.h